### Function

# Gtk.test_list_all_types

#### Declaration [src]

    const GType*
    gtk_test_list_all_types (
      guint* n_types
    )

#### Description [src]

Return the type ids that have been registered after calling `gtk_test_register_all_types()`.

#### Parameters

`n_types` | `guint*`
| location to store number of types
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: An array of `GType`
0-terminated array of type ids
| The array must be `NULL` terminated
| The length of the array is in the `n_types` argument
Ownership is not transferred to the caller